質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

91.26%

  • CentOS

    2078questions

    CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

  • Windows 10

    597questions

    Windows 10は、マイクロソフト社がリリースしたOSです。Modern UIを標準画面にした8.1から、10では再びデスクトップ主体に戻され、UIも変更されています。PCやスマホ、タブレットなど様々なデバイスに幅広く対応していることが特徴です。

  • Ruby on Rails 5

    215questions

  • MariaDB

    207questions

    MariaDBは、MySQL派生のオープンソースなリレーショナルデータベースシステムです。 また、MySQLとほぼ同じデータベースエンジンに対応しています。

  • yum

    122questions

    yumコマンドは、UNIX系OSのRPMパッケージのインストールなどを行うためのプログラムのことです。

yumコマンドが実行できない「root」とは

解決済

回答 2

投稿

  • 評価
  • クリップ 0
  • VIEW 100

seen

score 18

環境: Windows10 centos6.8 putty

著書「Ruby on Rails5 アプリケーションプログラミング」山田祥寛さまの本番環境への移行の章で、mariadbをインストールするところがあり、関連サイトには([リンク内容]http://www.wings.msn.to/index.php/-/B-08/mariadb_lin/)

#MariaDBをインストールする

#以下のコマンドでMariaDBをインストールします。
 yum -y install mariadb-server mariadb-devel


とあるのですが

[vagrant@localhost myapp]$ yum -y install mariadb-server mariadb-devel
読み込んだプラグイン:fastestmirror
このコマンドを実行するには root である必要があります。

このようにはじかれます。 以下のようにするとヘルプが表示されるのでyum自体は使える環境にあると思うのですが

[vagrant@localhost myapp]$ /usr/bin/yum --help
読み込んだプラグイン:fastestmirror
Usage: yum [options] COMMAND

List of Commands:

check          rpmdb の問題を確認する
~以下省略

rootで実行していないことが原因でしょうか。

この場合のrootとはどの階層になるのでしょうか。 また別の原因があるのでしょうか。

ご教示いただけますようよろしくおねがいします。

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

質問への追記・修正、ベストアンサー選択の依頼

  • jun68ykt

    2018/01/15 01:21

    質問の趣旨を確認させてください。「 root とは何か?」という趣旨のご質問なのでしょうか?

    キャンセル

回答 2

checkベストアンサー

+1

rootはユーザのことです。
ログインするときのユーザ名ですが、rootは特別な特権ユーザで
ログインするのではなく、root権限で実行したいときだけ
suコマンドでrootになったり、sudoコマンドでroot権限で実行したり
します。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2018/01/16 10:15

    ありがとうございます。 rootといわれたのでファイルの階層かと思っておりました。

    キャンセル

+1

su -
でrootユーザーになる。

もしくは
sudo yum -y install mariadb-server mariadb-devel
を実行する。

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

15分調べてもわからないことは、teratailで質問しよう!

ただいまの回答率

91.26%

関連した質問

  • 解決済

    MariaDB10のリポジトリデータが壊れてる?

    CentOS7 の MariaDB10 の repodata が 2016-Aug-30 に更新されたようですが、これって現在壊れています? # sudo yum insta

  • 解決済

    MariaDB インストール エラー

    MariaDBをソースからインストールしようとするとエラーとなり進まず解決方法がわかりません。 CentOS7.2.1511 MariaDB-10.1.18 cmak

  • 受付中

    linuxbrew

    前提・実現したいこと vagrantでcentosを導入し、そこでlinuxbrewをインストールしています。 しばらく使っていなかったので、brewdoctor

  • 解決済

    /etc/my.cnfについて

    文字が大きくなっている行の頭には#(コメント記号)が抜けております。読みにくくてすいません。 centos7.0でmariadbをインストールし文字コードをutf8にしようとして

  • 解決済

    vagrantでの環境構築について imagicのインストール

    お世話になっております。 現在vagrantを使ってローカル環境を整えているところなんですが、vagrantのプロビジョニングを使用してvagrant up時に運営サイトとニ

  • 受付中

    cakephpのインストール中のエラー

    CakePHPをインストール中にこのようなエラーがでます。 どのように解決したら良いかわかりません。 どうぞご教示ください。 環境 centos7 php5.6 mariad

  • 解決済

    vagrantコマンドで以下のエラーが出る際の解消法

    ターミナルでvagrantと打つと以下のエラーが出るようになってしまいました。 /opt/vagrant/embedded/lib/ruby/2.2.0/rubygems/c

  • 解決済

    ユーザー名とパスワードの対応関係を確かめたい

    ログイン入力とUser, Hostの対応関係が判然としません。 ①mysql -uroot -p -> パス入力 -> select User, Host, Password f

同じタグがついた質問を見る

  • CentOS

    2078questions

    CentOSは、主にRed Hat Enterprise Linux(RHEL)をベースにした、フリーのソフトウェアオペレーティングシステムです。

  • Windows 10

    597questions

    Windows 10は、マイクロソフト社がリリースしたOSです。Modern UIを標準画面にした8.1から、10では再びデスクトップ主体に戻され、UIも変更されています。PCやスマホ、タブレットなど様々なデバイスに幅広く対応していることが特徴です。

  • Ruby on Rails 5

    215questions

  • MariaDB

    207questions

    MariaDBは、MySQL派生のオープンソースなリレーショナルデータベースシステムです。 また、MySQLとほぼ同じデータベースエンジンに対応しています。

  • yum

    122questions

    yumコマンドは、UNIX系OSのRPMパッケージのインストールなどを行うためのプログラムのことです。